Package bitel.billing.server.contract.bean.find

# Class SearchContractModule

java.lang.Object
bitel.billing.server.contract.bean.find.SearchContractModule

Direct Known Subclasses:
  `SearchContractByAddress`, `SearchContractByCerbercrypt`, `SearchContractByComment`, `SearchContractByEmail`, `SearchContractById`, `SearchContractByInetLogin`, `SearchContractByLogin`, `SearchContractByParameter`, `SearchContractByPhone`, `SearchContractByTitle`, `SearchContractModuleEmpty`

    public abstract class SearchContractModule
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected static int` | `MAX_SELECT` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SearchContractModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `addContractFilter​(java.lang.StringBuilder query, SearchContract search, java.lang.String sqlDate)` |
  `protected void` | `addContractSelectPart​(java.lang.StringBuilder query)` |
  `protected void` | `addDateFilter​(java.lang.StringBuilder query, java.lang.String tableName, java.lang.String sqlDate)` |
  `protected void` | `addDateFilter​(java.lang.StringBuilder query, java.lang.String tableName, java.lang.String sqlDate, java.lang.String dateField1, java.lang.String dateField2)` |
  `protected void` | `addLimitAndTitleRegexpFilter​(java.lang.StringBuilder query, SearchContract search)` |
  `protected void` | `addWhereQuery​(java.lang.StringBuilder query, int compareType, java.lang.String column)` |
  `protected java.util.List<Contract>` | `extractContracts​(java.sql.Connection con, java.lang.String query, java.lang.String param)` |
  `abstract java.util.List<Contract>` | `findContracts​(java.sql.Connection con, SearchContract search, java.lang.String param, java.util.Date date)` |
  `abstract java.lang.String` | `getName()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MAX_SELECT

    protected static final int MAX_SELECT
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SearchContractModule

    public SearchContractModule()

- ## Method Details

  - ### findContracts

    public abstract java.util.List<Contract> findContracts​(java.sql.Connection con, SearchContract search, java.lang.String param, java.util.Date date)

  - ### getName

    public abstract java.lang.String getName()

  - ### addWhereQuery

    protected void addWhereQuery​(java.lang.StringBuilder query, int compareType, java.lang.String column)

  - ### addContractSelectPart

    protected void addContractSelectPart​(java.lang.StringBuilder query)

  - ### extractContracts

    protected java.util.List<Contract> extractContracts​(java.sql.Connection con, java.lang.String query, java.lang.String param)

  - ### addContractFilter

    protected void addContractFilter​(java.lang.StringBuilder query, SearchContract search, java.lang.String sqlDate)

  - ### addDateFilter

    protected void addDateFilter​(java.lang.StringBuilder query, java.lang.String tableName, java.lang.String sqlDate)

  - ### addDateFilter

    protected void addDateFilter​(java.lang.StringBuilder query, java.lang.String tableName, java.lang.String sqlDate, java.lang.String dateField1, java.lang.String dateField2)

  - ### addLimitAndTitleRegexpFilter

    protected void addLimitAndTitleRegexpFilter​(java.lang.StringBuilder query, SearchContract search)